package CMSCache::CMSCache;
use strict;

@CMSCache::CMSCache::ISA = qw( MT::Object );
__PACKAGE__->install_properties( {
    column_defs => {
        'id' => 'integer not null auto_increment',
        'blog_id'   => 'integer',
        'author_id' => 'integer',
        'data'      => 'blob',
        'key'       => 'string(255)',
        'object_ds' => 'string(255)',
        'object_id' => 'integer',
        'children'  => 'boolean',
        'primary'   => 'boolean',
        'expires' => 'integer not null',
    },
    indexes => {
        'blog_id' => 1,
        'author_id' => 1,
        'key' => 1,
        'object_ds' => 1,
        'object_id' => 1,
        'children' => 1,
        'expires' => 1,
    },
    datasource =>  'cmscache',
    primary_key => 'id',
} );

1;
